using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Defaultability.Domain;

namespace Topsdk.Top.Defaultability.Response;

public class TaobaoTbkDgMaterialOptionalUpgradeResponse : AbstractTopApiResponse
{

    /*
        搜索到符合条件的结果总数
            */
    private long? totalResults;


    /*
        resultList
            */
    private IList<TaobaoTbkDgMaterialOptionalUpgradeMapData>? resultList;


    /*
        uvid结果信息，传入但未使用uvid时会返回原因
            */
    private string? uvidMsg;


    [JsonPropertyName("total_results")]
    public long? TotalResults
    {
        get => totalResults;
        set => this.totalResults = value;
    }

    [JsonPropertyName("result_list")]
    public IList<TaobaoTbkDgMaterialOptionalUpgradeMapData>? ResultList
    {
        get => resultList;
        set => this.resultList = value;
    }

    [JsonPropertyName("uvid_msg")]
    public string? UvidMsg
    {
        get => uvidMsg;
        set => this.uvidMsg = value;
    }

}

